Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename source-map-support

%global enable_tests 1

Name:		nodejs-source-map-support
Version:	0.4.18
Release:	alt1_4
Summary:	Fixes stack traces for files with source maps

License:	MIT
URL:		https://github.com/evanw/node-source-map-support
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/evanw/node-source-map-support/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(source-map)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Fixes stack traces for files with source maps


%prep
%setup -q -n package

cp -p %{SOURCE1} .

%nodejs_fixdep source-map

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.18-alt1_4
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.18-alt0.1.njs.bootstrap
- bootstrap

